### Method

# Ide TreeNode holds

#### Declaration

    gboolean
    ide_tree_node_holds (
      IdeTreeNode* self,
      GType type
    )

#### Description

Checks to see if the `IdeTreeNode:item` property matches `type` or is a subclass of `type`.

Available since: | 3.32

#### Parameters

`type` | `GType`
| A `GType`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` holds a `type` item.